org.apache.maven.plugin.descriptor

## Class DuplicateMojoDescriptorException

- java.lang.Object
- - PlexusConfigurationException
  - - org.apache.maven.plugin.descriptor.InvalidPluginDescriptorException
    - - org.apache.maven.plugin.descriptor.DuplicateMojoDescriptorException

    public class DuplicateMojoDescriptorException
    extends InvalidPluginDescriptorException

### Constructor Summary

Constructors
Constructor and Description
`DuplicateMojoDescriptorException(java.lang.String goalPrefix, java.lang.String goal, java.lang.String existingImplementation, java.lang.String newImplementation)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DuplicateMojoDescriptorException

    public DuplicateMojoDescriptorException(java.lang.String goalPrefix,
                                    java.lang.String goal,
                                    java.lang.String existingImplementation,
                                    java.lang.String newImplementation)